summaryrefslogtreecommitdiff
path: root/utils/gitlab-ci/phpmd.sh
diff options
context:
space:
mode:
authorAndrew Dolgov <[email protected]>2017-04-26 21:15:23 +0300
committerAndrew Dolgov <[email protected]>2017-04-26 21:15:23 +0300
commit87267ce355188422c783f6b8e58c5f8850984985 (patch)
tree4675f49a7eb0da598ea6b69c7b09b3ef0443893d /utils/gitlab-ci/phpmd.sh
parent42b37a0f9088158c5d985a735b26c5f8ff6e1721 (diff)
ci scripts: exit properly on failure
Diffstat (limited to 'utils/gitlab-ci/phpmd.sh')
-rw-r--r--utils/gitlab-ci/phpmd.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/utils/gitlab-ci/phpmd.sh b/utils/gitlab-ci/phpmd.sh
index 117be1848..4ff5daf76 100644
--- a/utils/gitlab-ci/phpmd.sh
+++ b/utils/gitlab-ci/phpmd.sh
@@ -1,7 +1,8 @@
-#!/bin/sh -i -e
+#!/bin/sh
+
+set -e
phpmd include,classes text utils/gitlab-ci/phpmd-ruleset.xml
FILES=$(ls -dm *.php | tr -d " "| tr -d "\n")
phpmd $FILES text utils/gitlab-ci/phpmd-ruleset.xml
-